#include <stdio.h>
#include <malloc.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <ctype.h>
#include "stddef.c"
#define WIN32_LEAN_AND_MEAN
#define NOMINMAX
#include <windows.h>
#include "MMFile.cpp"
#include "CQXDoc.cpp"
word dump_br = 0;
word echo_br = 0;
word dump = 0;
word echo = 0;
#include "DumpQXDoc.cpp"
#include "FrameGeom.cpp"
#include "allfiles.h"


int main(int argc, char *argv[])
{
	// Open a new database file
	if (!mmfile.Open("tmp/studybible.dat", 400000000))
		return 0;


	// Retrieve root object
	CDatabase *database = (CDatabase*)mmfile.FirstObject();

	FOREACH_IN_LIST(CBook, book, database->all_books)
	{
		SetReadingOrder(book);
	}

	mmfile.Close();

	return 0;
}


